aboutsummaryrefslogtreecommitdiff
path: root/etc/pst
diff options
context:
space:
mode:
authorJohn Ankarström <john@ankarstrom.se>2021-07-12 13:24:49 +0200
committerJohn Ankarström <john@ankarstrom.se>2021-07-12 13:27:07 +0200
commit03d827e2fbc409ef97829f25b8eeca5204f81a3c (patch)
tree6099f0feb9adf3425fba87549b164043e18bd0c7 /etc/pst
parent45cddd072119c5abd7ec076cf28d51ee01f125b7 (diff)
downloadxutil-03d827e2fbc409ef97829f25b8eeca5204f81a3c.tar.gz
Re-organize files
Diffstat (limited to 'etc/pst')
-rwxr-xr-xetc/pst17
1 files changed, 17 insertions, 0 deletions
diff --git a/etc/pst b/etc/pst
new file mode 100755
index 0000000..dd6bd64
--- /dev/null
+++ b/etc/pst
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+d=
+while getopts d o
+do
+ case $o in
+ d) d=1 ;;
+ ?) echo usage: $0 [-d] [suffix] 1>&2; exit 1 ;;
+ esac
+done
+shift $((OPTIND-1))
+s=$1
+
+test ! -e /tmp/cpy"$s" && { echo clipboard not present 1>&2; exit 1; }
+cat /tmp/cpy"$s"
+test ! -z "$d" && rm /tmp/cpy"$s"
+return 0